
Redmine - Defect #9080

Shared versions not shown when upload a file

2011-08-18 10:15 - Roser Ollés

Status: New Start date: 2011-08-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:  Affected version:  

Description

When trying to upload a file in a subproject with inherited versions, combo box not show inherited versions to associate file

uploading.

This issue can be reproduced in all versions, including 1.2.0.

Related issues:

Has duplicate Redmine - Defect #5212: New files page doesn't get shared versions Closed 2010-03-30

History

#1 - 2011-08-18 10:42 - Etienne Massip

- Category set to Documents

- Target version set to Candidate for next minor release

Looking at source:/tags/1.2.1/app/controllers/files_controller.rb#L23:

@project.versions.sort

 should be :

@project.shared_versions.sort

#2 - 2011-09-19 15:23 - Alexey Demakov

It's not so easy. After applying suggested patch I was able to upload file, but didn't see it in list.

I updated L36 from

@containers += @project.versions.find(:all, :include => :attachments, :order => sort_clause).sort.reverse

 to

@containers += @project.shared_versions.find(:all, :include => :attachments, :order => sort_clause).sort.rever

se

 and now I see all files attached to shared version in all projects that share this version!

I.e. Root project and subproject both have the same list of files for shared version,

however some of these files were uploaded in root project and some - in subproject.

In database, each attachment has container. When versions were not shared there was one-to-one

correspondence between versions and projects and files were listed only in one project.

If version is shared there is no way to determine a project in which file was uploaded

and all files are listed in all projects that share this version.

And I don't see a way to fix this bug without changing of database structure.

#3 - 2013-07-03 08:31 - B D

I can confirm that this issue is still exists in 2.3.0.stable.11727 and it's a little annoying that i can share versions but i can't use them properly.

#4 - 2014-06-23 18:09 - Gareth Sylvester-Bradley

+1

Shared versions are much less useful for me if I can't use the versions of a project for Files in its subprojects as well as for Issues in those
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.2.1/app/controllers/files_controller.rb#L23


subprojects.

#5 - 2014-06-24 00:59 - Toshi MARUYAMA

- Category changed from Documents to Roadmap

#6 - 2015-04-07 15:03 - Go MAEDA

- Has duplicate Defect #5212: New files page doesn't get shared versions added

#7 - 2015-04-07 15:04 - Go MAEDA

- Category changed from Roadmap to Files
